This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 296471 - top man page does not adequately describe cpu status line(s)
top man page does not adequately describe cpu status line(s)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 11:06 EDT by Oliver Henshaw
Modified: 2008-07-14 03:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 05:19:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2007-09-19 11:06:16 EDT
Description of problem:

I read the top man page in the hope of finding more about the meaning of the
entries in the cpu status line in the summary area. For example,

Cpu(s):  2.0%us,  1.0%sy,  0.0%ni, 96.4%id,  0.0%wa,  0.0%hi,  0.7%si,  0.0%st

But 'man top' does not reveal what these entries stand for or what they mean.


Also, searching the net reveals cpu lines like

CPU states:   5.1% user   1.1% system   0.0% nice   0.0% iowait  93.6% idle

Either these are older versions of top with less entries in the CPU lines and so
more space to show the whole word, or there is an undocumented switch for
verbosity somewhere.


Version-Release number of selected component (if applicable): 3.2.7-12.fc6


Steps to Reproduce:
1. man top
2. read
3. frown

Expected results
1. A more verbose explanation of the two-letter entries in the cpu line of the
summary area.
2. Either a discussion of what these entries mean or a pointer to relevant
documentation.
Comment 1 Tomas Smetana 2007-09-20 03:12:54 EDT
These values are taken from /proc/stat.  There were originally only four of them
on kernel 2.4, now there are eight, therefore the mysterious acronymes that
indeed should be explained somewhere, especially when "man proc" gives an
incomplete answer.

FYI: the columns are times spent in:
user mode
system mode
low priority user mode (nice)
idle task
iowait
hard irq (time servicing irqs)
soft irq (time servicing soft irqs)
steal (time given to other DomU instances (virtual machines))

I'll try to put it into the manpage somewhere.
Comment 2 Tomas Smetana 2007-12-11 03:06:33 EST
Changed version to rawhide (FC6 is EOLed).
Comment 3 han pingtian 2008-07-14 03:34:37 EDT
Seems this bug still exists in fedora 8.

Note You need to log in before you can comment on or make changes to this bug.